Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-10-2016 14:16:05

gotbar
Membre
Inscription : 21-10-2016

logitheque bloquée

Bonjour,
je n'arrive plus à ouvrir la logithèque
message : une erreur est survenue. Veuillez lancer le gestionnaire de paquets depuis le menu contextuel ( clic-droit ) ou apt-get dans un terminal pour en savoir plus:
cela donne :

apt-get



apt 0.9.7.9 pour i386 compilé sur Oct 23 2014 15:43:55
Usage : apt-get [options] commandes
        apt-get [options] install|remove pkg1 [pkg2 ...]
        apt-get [options] source pkg1 [pkg2 ...]

apt-get est une interface simple en ligne de commande servant à
télécharger et à installer les paquets. Les commandes les plus
fréquemment employées sont update et install.

Commandes :
  update - Récupère les nouvelles listes de paquets
  upgrade - Réalise une mise à jour
  install - Installe de nouveaux paquets (pkg1 est libc6 et non libc6.deb)
  remove - Supprime des paquets
  autoremove - Supprime tous les paquets installés automatiquement
  purge - Supprime des paquets et leurs fichiers de configuration
  source - Télécharge les archives de sources
  build-dep - Configure build-dependencies pour les paquets sources
  dist-upgrade - Met à jour la distribution, reportez-vous à apt-get(8)
  dselect-upgrade - Suit les sélections de dselect
  clean - Supprime dans le cache local tous les fichiers téléchargés
  autoclean - Supprime dans le cache local les fichiers inutiles
  check - Vérifie qu'il n'y a pas de rupture de dépendances
  changelog - Télécharge et affiche le journal des modifications
              («  changelog ») du paquet indiqué
  download - Télécharge le paquet dinaire dans le répertoire courant



seulement je démarrer sous handylinux et je ne sais pas ce qu'il faut faire;

Edit à bendia : Mis la commande et son retour entre des balises code wink Voir le tuto : Le code, ça pique moins les yeux en couleur smile

Hors ligne

#2 21-10-2016 14:31:21

Anonyme-8
Invité

Re : logitheque bloquée

Salut,

apt-get est un utilitaire possède différentes fonctions: installer un logiciel, supprimer un logiciel, mettre à jour les logiciels installés et bien d'autres choses.
en lançant la commande **apt-get** seule, tu ne dis pas ce qu'il faut faire.

qu'est ce que tu voulais faire avec la logithèque ?

tu peux également regarder la doc pour en savoir plus: https://debian-facile.org/doc:systeme:apt:apt-get

#3 21-10-2016 14:34:41

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : logitheque bloquée

Bonjour smile
Dans un terminal, tu saisis la commande

sudo apt-get update


et tu nous fais le copier-coller de la réponse (voir le menu Edition pour copier le texte du terminal)
sudo est une commande pour passer en "root" et administrer ton système. Il faudra donc que tu tapes ton mot de passe et le valides par la touche entrée.
Normalement, on écrit la commande ainsi sur le forum :

apt-get update


mais si tu débutes sur HL, pas évident de traduire en voyant root qu'il faut ajouter un sudo devant la ligne wink
As-tu lu les cahiers du débutant ? (lien dans ma signature)


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#4 21-10-2016 14:34:45

Trefix
Adhérent(e)
Lieu : 48
Distrib. : kiss0s Stretch + bpo
Noyau : linux 4.9.0-9-amd64
(G)UI : fluxbox par arnault
Inscription : 15-02-2015

Re : logitheque bloquée

Bonjour et bienvenue.
Je serais tenté de te suggérer de  faire d'abord une mise à jour. Pour ça, sans logithèque, ouvre un terminal avec HandyMenu > Aventuriers > Ouvrir un terminal ou alors avec le raccourci clavier <Super> (toutche "windows") + T, puis envoie :

sudo apt-get update && sudo apt-get upgrade


Le terminal va te demander ton mot de passe (le même que pour ouvrir la session), afficher des *** à la place des caractères et en envoyant avec la touche Entrée ça devrait bien se passer.
S'il y a un soucis, le terminal en "parlera" dans les dernières lignes, donc quand plus rien ne bouge (retour de la ligne gotbar@handylinux ~) tu peux copier le contenu et nous le copier ici : il fonctionne comme un simple traitement de texte, donc dans la barre du haut, clique sur Éditer > Tout sélectionner > Copier wink
À +

Édith : grilled par la môme chalu... wink

Edit à bendia : Mis un peu de couleur dans ce monde gris. N'hésite pas à éditer le message pour voir comment on s'y prend winkVoir le tuto : Le code, ça pique moins les yeux en couleur smile

Dernière modification par Trefix (21-10-2016 14:36:05)


HL > DF // Les cahiers du débutant // DFLinux
.
JE SUIS toujours abonné à CHARLIE

Hors ligne

#5 21-10-2016 17:46:54

gotbar
Membre
Inscription : 21-10-2016

Re : logitheque bloquée

le terminal indique :
$ sudo apt-get update
[sudo] password for gauthier:
E: Le type « sudo » est inconnu sur la ligne 1 dans la liste des sources /etc/apt/sources.list.d/mono-xamarin.list
E: La liste des sources ne peut être lue.

Hors ligne

#6 21-10-2016 18:14:35

Trefix
Adhérent(e)
Lieu : 48
Distrib. : kiss0s Stretch + bpo
Noyau : linux 4.9.0-9-amd64
(G)UI : fluxbox par arnault
Inscription : 15-02-2015

Re : logitheque bloquée

Re.
Là, moi, je sèche, mais des plus barbus te diront sûrement !

HL > DF // Les cahiers du débutant // DFLinux
.
JE SUIS toujours abonné à CHARLIE

Hors ligne

#7 21-10-2016 18:41:44

bendia
Chadministrateur
Distrib. : Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console
Inscription : 20-03-2012
Site Web

Re : logitheque bloquée

Salut smile

Peux tu nous montrer dans des balises code (avec le bouton Autre code) le fichier de sources qui fait râler apt-get avec

cat /etc/apt/sources.list.d/mono-xamarin.list


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#8 22-10-2016 07:45:44

gotbar
Membre
Inscription : 21-10-2016

Re : logitheque bloquée

voilà ce que ça donne :
$

cat /etc/apt/sources.list.d/mono-xamarin.list



sudo apt-get update


echo "deb http://download.mono-project.com/repo/debian wheezy-apache24-compat main"

sudo tee -a /etc/apt/sources.list.d/mono-xamarin.list
echo "debhttp://download.mono-project.com/repo/debian wheezy-libjpeg62-compat main"
sudo tee -a /etc/apt/sources.list.d/mono-xamarin.list
 <metapackage xmlns:os="http://opensuse.org/Standards/One_Click_Install" xmlns="http://opensuse.org/Standards/One_Click_Install">
    <group> <!-- A software bundle, typically only one, or one for each distribution in each file. -->
      <name>Mono</name> <!-- Name of the whole software bundle  Displayed in the UI -->
      <summary>Mono package updates from Xamarin</summary> <!-- Summary of the whole software bundle  Displayed in the UI -->
      <description>Mono package updates from Xamarin</description> <!-- Description of the whole software bundle  Displayed in the UI -->
      <remainSubscribed>true</remainSubscribed>  <!-- Specifies whether the user should remain subscribed to these repositories post installation, the user can override this. -->
      <repositories> <!-- A list of repositories required for this installation -->
        <repository>
          <name>mono-project</name>  <!-- Name of this repository  -->
          <summary>Mono package updates from Xamarin</summary> <!-- Summary of this repository-->
          <description>Mono package updates from Xamarin</description><!-- Description of this repository, displayed in the UI-->
          <url>http://download.mono-project.com/repo/centos/</url><!-- URL of this repository to add-->
        </repository>
      </repositories>
      <software> <!-- A list of software items to install  during this installation -->
        <item>
          <name>mono-devel</name> <!-- Name of the software, this both identifies it within the repository, and is displayed to the user -->
          <summary>Mono developer component installation</summary> <!-- Summary of the software -->
          <description>Installs the Mono C# compiler and all related pieces</description> <!-- Description of the software, displayed in the UI. -->
        </item>
      </software>
    </group>
 </metapackage>
 <metapackage xmlns:os="http://opensuse.org/Standards/One_Click_Install" xmlns="http://opensuse.org/Standards/One_Click_Install">
    <group> <!-- A software bundle, typically only one, or one for each distribution in each file. -->
      <name>Mono</name> <!-- Name of the whole software bundle  Displayed in the UI -->
      <summary>Mono package updates from Xamarin</summary> <!-- Summary of the whole software bundle  Displayed in the UI -->
      <description>Mono package updates from Xamarin</description> <!-- Description of the whole software bundle  Displayed in the UI -->
      <remainSubscribed>true</remainSubscribed>  <!-- Specifies whether the user should remain subscribed to these repositories post installation, the user can override this. -->
      <repositories> <!-- A list of repositories required for this installation -->
        <repository>
          <name>mono-project</name>  <!-- Name of this repository  -->
          <summary>Mono package updates from Xamarin</summary> <!-- Summary of this repository-->
          <description>Mono package updates from Xamarin</description><!-- Description of this repository, displayed in the UI-->
          <url>http://download.mono-project.com/repo/centos/</url><!-- URL of this repository to add-->
        </repository>
      </repositories>
      <software> <!-- A list of software items to install  during this installation -->
        <item>
          <name>mono-complete</name> <!-- Name of the software, this both identifies it within the repository, and is displayed to the user -->
          <summary>Complete Mono installation</summary> <!-- Summary of the software -->
          <description>Installs all pieces of the Mono runtime</description> <!-- Description of the software, displayed in the UI. -->
        </item>
      </software>
    </group>
 </metapackage>
 <metapackage xmlns:os="http://opensuse.org/Standards/One_Click_Install" xmlns="http://opensuse.org/Standards/One_Click_Install">
    <group> <!-- A software bundle, typically only one, or one for each distribution in each file. -->
      <name>Mono</name> <!-- Name of the whole software bundle  Displayed in the UI -->
      <summary>Mono package updates from Xamarin</summary> <!-- Summary of the whole software bundle  Displayed in the UI -->
      <description>Mono package updates from Xamarin</description> <!-- Description of the whole software bundle  Displayed in the UI -->
      <remainSubscribed>true</remainSubscribed>  <!-- Specifies whether the user should remain subscribed to these repositories post installation, the user can override this. -->
      <repositories> <!-- A list of repositories required for this installation -->



Edit à toto :
Mis les commandes user sous la balise Commande user et le retour à part sous la balise Autre code. Meilleure lisibilité pour tous.

Hors ligne

#9 22-10-2016 10:51:13

bendia
Chadministrateur
Distrib. : Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console
Inscription : 20-03-2012
Site Web

Re : logitheque bloquée

Salut smile

La soultion au problème était bien dans le retour de apt-get qui indiquait un problème avec le fichier /etc/apt/sources.list.d/mono-xamarin.list wink Je ne sais pas excatement ce que contient ce fichier (des commandes bash et  du XML) ni comment c'est arrivé là, mais ce qui est certain, c'est que ça n'est pas un fichier sources.list valide hmm

Sans certitude, je pense qu'à la base, le but de ce fichier était d'installer un truc ayant rapport avec mono. De toute façon, c'est ça qui bloque apt. Tu peux donc supprimer ce fichier et relancer l'update pour voir.

Puisque tu utilises Handylinux (quelle version d'ailleurs Voir le tuto : Trop cool d'indiquer son installation dans son profil ! ), tu peux faire ça de cette façon

sudo rm /etc/apt/sources.list.d/mono-xamarin.list && sudo apt-get update



D'une façon général, il vaut mieux ne pas utiliser de dépôts externes à Debian, sauf à être absolument certain de ce que l'on fait.

N'hésites pas à revenir ici pour nous dire c'est tout est redevenu normal, de façon à ce que tout le monde profite de la solution smile


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#10 24-10-2016 08:51:21

gotbar
Membre
Inscription : 21-10-2016

Re : logitheque bloquée

Effectivement, j'ai essayé d'installer moonlight et c'est à partir de là que le pb s'est posé.
J'ai effectué l'update mais à partir de là tout s'est bloqué ( ordi, souris) et j'ai dù éteindre l'ordi pour le redémarrer ensuite.
Pour la version d'handylinux, c'est HandyLinuxLight-1.8.

Hors ligne

#11 24-10-2016 08:52:10

bendia
Chadministrateur
Distrib. : Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console
Inscription : 20-03-2012
Site Web

Re : logitheque bloquée


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

Pied de page des forums